import { whenElse } from '@genesislcap/foundation-utils';
import { html } from '@microsoft/fast-element';
const MAX_NUMBER_TO_DISPLAY = 99;
const ZERO_NUMBER_TO_DISPLAY = 0;
export const FoundationInboxCounterTemplate = html `
  ${whenElse((x) => x.value > 0, html `
      ${(x) => (x.value > MAX_NUMBER_TO_DISPLAY ? `${MAX_NUMBER_TO_DISPLAY}+` : x.value)}
    `, html `
      ${ZERO_NUMBER_TO_DISPLAY}
    `)}
`;
